Package org.apache.cayenne.ejbql.parser

## Interface EJBQLConstants

- All Known Implementing Classes:
    `EJBQL`, `EJBQLTokenManager`

      public interface EJBQLConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ABS` | RegularExpression Id.
    `static int` | `ALL` | RegularExpression Id.
    `static int` | `AND` | RegularExpression Id.
    `static int` | `ANY` | RegularExpression Id.
    `static int` | `AS` | RegularExpression Id.
    `static int` | `ASC` | RegularExpression Id.
    `static int` | `AVG` | RegularExpression Id.
    `static int` | `BETWEEN` | RegularExpression Id.
    `static int` | `BOOLEAN_LITERAL` | RegularExpression Id.
    `static int` | `BOTH` | RegularExpression Id.
    `static int` | `BY` | RegularExpression Id.
    `static int` | `CHARACTER_LITERAL` | RegularExpression Id.
    `static int` | `COMMA` | RegularExpression Id.
    `static int` | `CONCAT` | RegularExpression Id.
    `static int` | `COUNT` | RegularExpression Id.
    `static int` | `CURRENT_DATE` | RegularExpression Id.
    `static int` | `CURRENT_TIME` | RegularExpression Id.
    `static int` | `CURRENT_TIMESTAMP` | RegularExpression Id.
    `static int` | `DECIMAL_LITERAL` | RegularExpression Id.
    `static int` | `DEFAULT` | Lexical state.
    `static int` | `DELETE` | RegularExpression Id.
    `static int` | `DESC` | RegularExpression Id.
    `static int` | `DIGIT` | RegularExpression Id.
    `static int` | `DISTINCT` | RegularExpression Id.
    `static int` | `DIV` | RegularExpression Id.
    `static int` | `DOT` | RegularExpression Id.
    `static int` | `EMPTY` | RegularExpression Id.
    `static int` | `EOF` | End of File.
    `static int` | `EQ` | RegularExpression Id.
    `static int` | `ESCAPE` | RegularExpression Id.
    `static int` | `EXISTS` | RegularExpression Id.
    `static int` | `EXPONENT` | RegularExpression Id.
    `static int` | `FETCH` | RegularExpression Id.
    `static int` | `FROM` | RegularExpression Id.
    `static int` | `GE` | RegularExpression Id.
    `static int` | `GROUP` | RegularExpression Id.
    `static int` | `GT` | RegularExpression Id.
    `static int` | `HAVING` | RegularExpression Id.
    `static int` | `IDENTIFIER` | RegularExpression Id.
    `static int` | `IN` | RegularExpression Id.
    `static int` | `INNER` | RegularExpression Id.
    `static int` | `INTEGER_LITERAL` | RegularExpression Id.
    `static int` | `IS` | RegularExpression Id.
    `static int` | `JOIN` | RegularExpression Id.
    `static int` | `LE` | RegularExpression Id.
    `static int` | `LEADING` | RegularExpression Id.
    `static int` | `LEFT` | RegularExpression Id.
    `static int` | `LENGTH` | RegularExpression Id.
    `static int` | `LETTER` | RegularExpression Id.
    `static int` | `LIKE` | RegularExpression Id.
    `static int` | `LOCATE` | RegularExpression Id.
    `static int` | `LOWER` | RegularExpression Id.
    `static int` | `LT` | RegularExpression Id.
    `static int` | `MAX` | RegularExpression Id.
    `static int` | `MEMBER` | RegularExpression Id.
    `static int` | `MIN` | RegularExpression Id.
    `static int` | `MINUS` | RegularExpression Id.
    `static int` | `MOD` | RegularExpression Id.
    `static int` | `NE` | RegularExpression Id.
    `static int` | `NEW` | RegularExpression Id.
    `static int` | `NOT` | RegularExpression Id.
    `static int` | `NULL` | RegularExpression Id.
    `static int` | `OBJECT` | RegularExpression Id.
    `static int` | `OF` | RegularExpression Id.
    `static int` | `OR` | RegularExpression Id.
    `static int` | `ORDER` | RegularExpression Id.
    `static int` | `OUTER` | RegularExpression Id.
    `static int` | `PLUS` | RegularExpression Id.
    `static int` | `SELECT` | RegularExpression Id.
    `static int` | `SET` | RegularExpression Id.
    `static int` | `SIZE` | RegularExpression Id.
    `static int` | `SOME` | RegularExpression Id.
    `static int` | `SQRT` | RegularExpression Id.
    `static int` | `STRING_LITERAL` | RegularExpression Id.
    `static int` | `SUBSTRING` | RegularExpression Id.
    `static int` | `SUM` | RegularExpression Id.
    `static int` | `TIMES` | RegularExpression Id.
    `static String[]` | `tokenImage` | Literal token values.
    `static int` | `TRAILING` | RegularExpression Id.
    `static int` | `TRIM` | RegularExpression Id.
    `static int` | `UPDATE` | RegularExpression Id.
    `static int` | `UPPER` | RegularExpression Id.
    `static int` | `WHERE` | RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOT

          static final int DOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQ

          static final int EQ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NE

          static final int NE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT

          static final int GT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GE

          static final int GE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT

          static final int LT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LE

          static final int LE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TIMES

          static final int TIMES

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIV

          static final int DIV

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NEW

          static final int NEW

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ALL

          static final int ALL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ANY

          static final int ANY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXISTS

          static final int EXISTS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SOME

          static final int SOME

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EMPTY

          static final int EMPTY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ASC

          static final int ASC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DESC

          static final int DESC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ORDER

          static final int ORDER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BY

          static final int BY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IS

          static final int IS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MEMBER

          static final int MEMBER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OF

          static final int OF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LIKE

          static final int LIKE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ESCAPE

          static final int ESCAPE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BETWEEN

          static final int BETWEEN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AVG

          static final int AVG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MIN

          static final int MIN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MAX

          static final int MAX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SUM

          static final int SUM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COUNT

          static final int COUNT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONCAT

          static final int CONCAT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SUBSTRING

          static final int SUBSTRING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRIM

          static final int TRIM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LOWER

          static final int LOWER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UPPER

          static final int UPPER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LEADING

          static final int LEADING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRAILING

          static final int TRAILING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BOTH

          static final int BOTH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LENGTH

          static final int LENGTH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LOCATE

          static final int LOCATE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ABS

          static final int ABS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SQRT

          static final int SQRT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MOD

          static final int MOD

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SIZE

          static final int SIZE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CURRENT_DATE

          static final int CURRENT_DATE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CURRENT_TIME

          static final int CURRENT_TIME

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CURRENT_TIMESTAMP

          static final int CURRENT_TIMESTAMP

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SELECT

          static final int SELECT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DISTINCT

          static final int DISTINCT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FROM

          static final int FROM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UPDATE

          static final int UPDATE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DELETE

          static final int DELETE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WHERE

          static final int WHERE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GROUP

          static final int GROUP

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HAVING

          static final int HAVING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AS

          static final int AS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LEFT

          static final int LEFT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OUTER

          static final int OUTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INNER

          static final int INNER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### JOIN

          static final int JOIN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FETCH

          static final int FETCH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IN

          static final int IN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SET

          static final int SET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OBJECT

          static final int OBJECT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTEGER_LITERAL

          static final int INTEGER_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL_LITERAL

          static final int DECIMAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BOOLEAN_LITERAL

          static final int BOOLEAN_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXPONENT

          static final int EXPONENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          static final int STRING_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CHARACTER_LITERAL

          static final int CHARACTER_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IDENTIFIER

          static final int IDENTIFIER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.